---
title: Get Price by Tag
slug: api-documentation/get-price-by-tag
docTags: 
createdAt: 2026-08-27T17:06:08.900Z
---

{
  "id": "d05DGOigRcX-awVl3Uv5P",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/pricing/tag/{tag}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/pricing/tag/{tag}"
      }
    ],
    "name": "Get Price by Tag",
    "description": "<p>This endpoint returns all prices that have a particular tag associated with them.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>pricing.read</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>customer.default</li>\n<li>customer.anonymous</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "tag",
          "type": "string",
          "description": "This is the tag to look for."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-prices returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "<p>The prices held for an asset: its MSRP, list and sale prices.</p>",
            "customType": "Pricing[]",
            "schema": [
              {
                "name": "assetId",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "listPrices",
                "kind": "optional",
                "type": "object",
                "description": "A price entry on an asset's MSRP or list price set.",
                "modelRef": "#/components/schemas/PricingItem",
                "customType": "PricingItem[]",
                "schema": [],
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "PriceItem",
                    "description": "",
                    "modelRef": "#/components/schemas/PriceItem",
                    "schema": [
                      {
                        "name": "zone",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "price",
                        "kind": "required",
                        "type": "number",
                        "description": "",
                        "minimum": 0,
                        "exclusiveMinimum": true
                      },
                      {
                        "name": "currency",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "USD",
                        "pattern": "^[A-Z]{3}$"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "msrpPrices",
                "kind": "optional",
                "type": "object",
                "description": "A price entry on an asset's MSRP or list price set.",
                "modelRef": "#/components/schemas/PricingItem",
                "customType": "PricingItem[]",
                "schema": [],
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "PriceItem",
                    "description": "",
                    "modelRef": "#/components/schemas/PriceItem",
                    "schema": [
                      {
                        "name": "zone",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "price",
                        "kind": "required",
                        "type": "number",
                        "description": "",
                        "minimum": 0,
                        "exclusiveMinimum": true
                      },
                      {
                        "name": "currency",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "USD",
                        "pattern": "^[A-Z]{3}$"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "salePrices",
                "kind": "optional",
                "type": "object",
                "description": "<p>A sale price for a zone, effective between its activation and deactivation dates, optionally qualified by a tag.</p>",
                "modelRef": "#/components/schemas/SalePricingItem",
                "customType": "SalePricingItem[]",
                "schema": [],
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "PriceItem",
                    "description": "",
                    "modelRef": "#/components/schemas/PriceItem",
                    "schema": [
                      {
                        "name": "zone",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "price",
                        "kind": "required",
                        "type": "number",
                        "description": "",
                        "minimum": 0,
                        "exclusiveMinimum": true
                      },
                      {
                        "name": "currency",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "USD",
                        "pattern": "^[A-Z]{3}$"
                      }
                    ]
                  },
                  {
                    "name": "object",
                    "description": "",
                    "schema": [
                      {
                        "name": "activationDate",
                        "kind": "required",
                        "type": "string<date>",
                        "description": "",
                        "format": "date"
                      },
                      {
                        "name": "currency",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "USD",
                        "pattern": "^[A-Z]{3}$"
                      },
                      {
                        "name": "deactivationDate",
                        "kind": "required",
                        "type": "string<date>",
                        "description": "",
                        "format": "date"
                      },
                      {
                        "name": "price",
                        "kind": "required",
                        "type": "number",
                        "description": ""
                      },
                      {
                        "name": "tag",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "zone",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/Pricing",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned when a request fails validation, identifying the offending input by name and code.</p>",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Standard error payload identifying a failure by name, code and detail, with an optional machine-readable reason.</p>",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Standard error payload identifying a failure by name, code and detail, with an optional machine-readable reason.</p>",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Standard error payload identifying a failure by name, code and detail, with an optional machine-readable reason.</p>",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "wvs0_d9JUKpLonOHDYJsI",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/pricing/tag/{tag} \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "ATE-NQJrjWRh5vUlhQ3X2",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/pricing/tag/{tag}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "wTgxp9GFf-GXPyTrigSGy",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/pricing/tag/{tag}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "922r-8Jcnwv50JdNhBjKa",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/pricing/tag/{tag}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "wvs0_d9JUKpLonOHDYJsI"
    },
    "results": {
      "languages": [
        {
          "id": "8UBmnG3O02V5dV5mzypJ_",
          "language": "200",
          "code": "// Success-prices returned.\n[\n  {\n    \"assetId\": \"\",\n    \"listPrices\": {},\n    \"msrpPrices\": {},\n    \"salePrices\": {}\n  }\n]"
        },
        {
          "id": "ETPqjI5t04nUKk16HXSXd",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "lfI3tRPsaS990vAoxMLzV",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "ApG1mGVQDOJS6yyKLNiWd",
          "language": "403",
          "code": "// An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "cHD0dwZC6EOqpbwFr-_mI",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "8UBmnG3O02V5dV5mzypJ_"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}